<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      style='background-color: #f7f7f7;'>
   <h:head>
        <title>Ajout categorie</title>
    </h:head>
    <h:body>



        <h:form>
            <p:card style="width: 500px; margin: auto">


                <p:panelGrid columns="3">
                    <f:facet name="header">

                        <h:outputText value="Ajouter categorie"></h:outputText>
                    </f:facet>

                    <f:facet name="footer">
                        <p:commandButton value="enregistrer" 
                                         action="#{ajouterCategorieBean.enregistrer()}"
                                         ajax="false"/>
                    </f:facet>
                    <p:outputLabel for="code" value="prenom  : " /> 
                    <p:inputText id="code" required="true" 
                                 requiredMessage="code est obligatoire"
                                 value="#{ajouterCategorieBean.cat.code}" />  
                    
                    <p:message for="code"/> 

                    <p:outputLabel value="nom  : " /> 
                    <p:inputText id="nom" required="true" requiredMessage="Le nom est obligatoire"
                                 value="#{ajouterCategorieBean.cat.nom}" />   
                    <p:message for="nom"/> 

                    <p:outputLabel value="description  : " /> 
                    <p:inputText id="description" required="true" 
                                 requiredMessage="description est obligatoire"
                                 value="#{ajouterCategorieBean.cat.description}" />   
                    <p:message for="description"/> 

                    <p:outputLabel value="tva: " /> 
                    <p:inputText id="tva" required="true" requiredMessage="tva est obligatoire"
                                 value="#{ajouterCategorieBean.tva}" />   
                    <p:message for="tva"/>
                </p:panelGrid>


            </p:card>
            <p:messages/>
        </h:form>
    </h:body>
</html>

